### Method

# WebKit2 WebResource get_data_finish

#### Declaration [src]

    guchar*
    webkit_web_resource_get_data_finish (
      WebKitWebResource* resource,
      GAsyncResult* result,
      gsize* length,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation started with webkit_web_resource_get_data().

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`length`

  Type: `gsize*`

  Return location for the length of the resource data.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `guint8`

A string with the data of `resource`, or `NULL` in case of error. if `length` is not `NULL`, the size of the data will be assigned to it.

The length of the array is in the `length` argument.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.